summaryrefslogtreecommitdiffstats
path: root/dilos/core/tdebase/debian/kicker-trinity.preinst
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 21:15:11 +0800
committerMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 21:15:11 +0800
commit98095beb82f000d888dfa15bada80376c48df837 (patch)
treedadbf7de3432fa5cbf95c42733d19d5cf0508034 /dilos/core/tdebase/debian/kicker-trinity.preinst
parentf3d5de18f2bdf89d5923d560420ae23cac051cb8 (diff)
downloadtde-packaging-98095beb82f000d888dfa15bada80376c48df837.tar.gz
tde-packaging-98095beb82f000d888dfa15bada80376c48df837.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'dilos/core/tdebase/debian/kicker-trinity.preinst')
-rw-r--r--dilos/core/tdebase/debian/kicker-trinity.preinst30
1 files changed, 30 insertions, 0 deletions
diff --git a/dilos/core/tdebase/debian/kicker-trinity.preinst b/dilos/core/tdebase/debian/kicker-trinity.preinst
new file mode 100644
index 000000000..a7b86cbd5
--- /dev/null
+++ b/dilos/core/tdebase/debian/kicker-trinity.preinst
@@ -0,0 +1,30 @@
+#! /bin/sh -e
+
+if [ "${BASEDIR:=/}" = "/" ]; then
+ BASEDIR=""
+fi
+
+case "$1" in
+
+ upgrade)
+ rm -f /etc/menu-methods/tdebase
+ rm -f /etc/trinity/debian/kde-update-menu.sh
+ rm -f /etc/menu-methods/kicker
+ ;;
+
+ install)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0